svn commit: r197297 - in head: etc etc/defaults share/man/man5

Doug Barton dougb at FreeBSD.org
Thu Sep 17 19:05:48 UTC 2009


Author: dougb
Date: Thu Sep 17 19:05:47 2009
New Revision: 197297
URL: http://svn.freebsd.org/changeset/base/197297

Log:
  Add a knob to show 'Starting foo:' messages when faststart is used,
  such as at boot time.

Modified:
  head/etc/defaults/rc.conf
  head/etc/rc.subr
  head/share/man/man5/rc.conf.5

Modified: head/etc/defaults/rc.conf
==============================================================================
--- head/etc/defaults/rc.conf	Thu Sep 17 18:39:53 2009	(r197296)
+++ head/etc/defaults/rc.conf	Thu Sep 17 19:05:47 2009	(r197297)
@@ -23,6 +23,7 @@
 
 rc_debug="NO"		# Set to YES to enable debugging output from rc.d
 rc_info="NO"		# Enables display of informational messages at boot.
+rc_startmsgs="NO" 	# Show "Starting foo:" messages at boot
 rcshutdown_timeout="30" # Seconds to wait before terminating rc.shutdown
 early_late_divider="FILESYSTEMS"	# Script that separates early/late
 			# stages of the boot process.  Make sure you know

Modified: head/etc/rc.subr
==============================================================================
--- head/etc/rc.subr	Thu Sep 17 18:39:53 2009	(r197296)
+++ head/etc/rc.subr	Thu Sep 17 19:05:47 2009	(r197297)
@@ -708,7 +708,13 @@ run_rc_command()
 
 					# setup the full command to run
 					#
-			[ -z "${rc_quiet}" ] && echo "Starting ${name}."
+			_show_startmsgs=1
+			if [ -n "${rc_quiet}" ]; then
+				if ! checkyesno rc_startmsgs; then
+					unset _show_startmsgs
+				fi
+			fi
+			[ -n "$_show_startmsgs" ] && echo "Starting ${name}."
 			if [ -n "$_chroot" ]; then
 				_doit="\
 ${_nice:+nice -n $_nice }\

Modified: head/share/man/man5/rc.conf.5
==============================================================================
--- head/share/man/man5/rc.conf.5	Thu Sep 17 18:39:53 2009	(r197296)
+++ head/share/man/man5/rc.conf.5	Thu Sep 17 19:05:47 2009	(r197297)
@@ -24,7 +24,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd September 2, 2009
+.Dd September 17, 2009
 .Dt RC.CONF 5
 .Os
 .Sh NAME
@@ -95,6 +95,13 @@ disable informational messages from the 
 Informational messages are displayed when
 a condition that is not serious enough to warrant a warning or
 an error occurs.
+.It Va rc_startmsgs
+.Pq Vt bool
+If set to
+.Dq Li YES ,
+show
+.Dq Starting foo:
+when faststart is used (e.g., at boot time).
 .It Va early_late_divider
 .Pq Vt str
 The name of the script that should be used as the


More information about the svn-src-all mailing list